curl --request POST \
--url https://api.acedata.cloud/headshots/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve",
"id": "task-id"
}
'import requests
url = "https://api.acedata.cloud/headshots/tasks"
payload = {
"action": "retrieve",
"id": "task-id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'retrieve', id: 'task-id'})
};
fetch('https://api.acedata.cloud/headshots/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [],
"count": 0
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Drawai Tasks
curl --request POST \
--url https://api.acedata.cloud/headshots/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve",
"id": "task-id"
}
'import requests
url = "https://api.acedata.cloud/headshots/tasks"
payload = {
"action": "retrieve",
"id": "task-id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'retrieve', id: 'task-id'})
};
fetch('https://api.acedata.cloud/headshots/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [],
"count": 0
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Authorizations
API token from https://platform.acedata.cloud
Headers
Headshots Tasks Param Accept
application/json Body
Response
Headshots Tasks Response 200
- Option 1
- Option 2
- Option 3
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Id.A4B044493Cf7
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Type.E994C45510Fc
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Trace Id.621Fb536C8Bb
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Headshotstaskrequestpayload.04Acd26F800A
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Created At.157464E9683B
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Headshotstaskresultpayload.F9D535258403
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Started At.Cc9Ca720872E
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Finished At.F60A199Cd487
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Elapsed.C19D5D992Ab6
x >= 0Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.User Id.380B0907265D
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Actor User Id.D773Cb207382
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Api Id.2757Df83D852
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Application Id.3F02F82B5E04
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Credential Id.35E7Cfa5C2Bd
Openapi.F0A36F99D9F14057Bd729C82Bf06E4D6.Authorization Id.F6378818886D
Was this page helpful?

